#
# spec file for package netcat (Version 1.10)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm suse-macros compat-gcc-32

Name:         netcat
%define INSTALL install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
License:      distributable, Other License(s), see package
Group:        Productivity/Networking/Other
Autoreqprov:  on
Summary:      A simple but powerful network tool
Version:      1.10
Release:      864.1
Source:       netcat-1.10.tar.gz
Patch0:       netcat.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Netcat is a simple Unix utility that reads and writes data across
network connections, using TCP or UDP protocols. It is designed to be a
reliable "back-end" tool that can be used directly or easily driven by
other programs and scripts.  At the same time, it is a feature-rich
network debugging and exploration tool, since it can create almost any
kind of connection you may need and has several interesting built-in
capabilities.

You can find the documentation in
/usr/share/doc/packages/netcat/README.



Authors:
--------
    hobbit@avian.org

%prep
%setup 
%patch0

%build
make linux "CFLAGS=$RPM_OPT_FLAGS" CC=gcc32 CXX=g++32

%install
rm -rf $RPM_BUILD_ROOT
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL} nc $RPM_BUILD_ROOT/usr/bin/netcat

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/netcat
%doc Changelog
%doc README
%doc data
%doc scripts

%changelog -n netcat
* Fri Mar 09 2007 - Wenji.huang@oracle.com
- Fix spec into rhel/el
* Fri Jan 30 2004 - max@suse.de
- Building as a non-root user
- Added support for partial shutdown if stdin gets closed (#34219)
* Tue Sep 16 2003 - max@suse.de
- Use argv[0] instead of hardcoded program name. (#30939)
* Tue Jul 01 2003 - coolo@suse.de
- don't use $RPM_PACKAGE_NAME in %%setup
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jan 19 2001 - schwab@suse.de
- Include <resolv.h> if HAVE_BIND.
* Thu Jan 18 2001 - grimmer@suse.de
- Changed Group tag to Networking/Utilities
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 17 1998 - max@suse.de
- changed "nc" to "netcat" in the example scripts,
  to make them work.
* Mon Mar 16 1998 - max@suse.de
- new package
- allows "cat" via network as server or client with TCP or UDP
